# PyBEST: Pythonic Black-box Electronic Structure Tool
# Copyright (C) 2016-- The PyBEST Development Team
#
# This file is part of PyBEST.
#
# PyBEST is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# PyBEST is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
# --

import pytest

from .common import Molecule


#
# Define fixtures for testing: C^{2-}
#
@pytest.fixture
def c_atom(linalg):
    """Returns instance of Molecule for C^2- that contains all informations
    to perform several calculations (integrals, methods, etc.)."""
    return Molecule("basis/cc-pvdz.g94", "test/c.xyz", factory=linalg, ncore=0)
